%define libmusclename %mklibname musclecard 1
%define pkgname libmusclecard

Summary: Muscle PCSC Framework for Linux libraries
Name: %{libmusclename}
Version: 1.3.1
Release: %mkrel 2
License: GPL
Group: System/Libraries
Source0: https://alioth.debian.org/download.php/1478/libmusclecard-%{version}.tar.gz
Source1: https://alioth.debian.org/download.php/1479/libmusclecard-%{version}.tar.gz.asc
URL: http://pcsclite.alioth.debian.org/
# up to version 1.3.0, libpcsclite had libmusclecard files
Conflicts: pcsc-lite < 1.3.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)
# actually, it needs 1.2.9-beta7 or higher, but I don't want
# to play with rpm e-v-r comparisons with a "beta" string in them
BuildRequires: libpcsclite-devel >= 1.3.0
BuildRequires: pkgconfig

%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package devel
Summary: Files used for libmusclecard development
Group: Development/Other
Requires: %{name} = %{version}
# up to version 1.3.0, libpcsclite had libmusclecard files
Conflicts: %{mklibname pcsclite 1 -d} < 1.3.0
Provides: libmusclecard-devel = %{version}-%{release}

%description devel
This package contains files used for libmusclecard development.

%package static-devel
Summary: Static library used for libmusclecard development
Group: Development/Other
Requires: %{name}-devel = %{version}
# up to version 1.3.0, libpcsclite had libmusclecard files
Conflicts: %{mklibname pcsclite 1 -d -s} < 1.3.0
Provides: libmusclecard-static-devel = %{version}-%{release}

%description static-devel
This package contains a libmusclecard static library used for development.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure --enable-muscledropdir=%{_libdir}/pcsc/services
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install

# this file is included in %%doc
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libmusclecard.so.*
%{_sbindir}/bundleTool
%{_mandir}/man8/bundleTool.8*

%files devel
%defattr(-,root,root)
%doc ChangeLog.svn doc/*.pdf
%{_includedir}/PCSC/*
%{_libdir}/libmusclecard.so
%{_libdir}/libmusclecard.la
%{_libdir}/pkgconfig/libmusclecard.pc

%files static-devel
%defattr(-,root,root)
%{_libdir}/libmusclecard.a

%changelog
* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdk
- added missing buildrequires

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdk
- updated to verison 1.3.0, closing #21518
- forked from pcsc-lite as done by upstream, old changelog imported

* Tue Dec 06 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-3mdk
- fixed -devel package conflicts so that it works with x86_64 too
  (thanks to _ranger_ for the tip)

* Thu Nov 24 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdk
- versioning devel provides

* Thu Nov 03 2005 Helio Chissini de Castro <heliocastro@mandriva.com> 1.2.9-1mdk
- New upstream beta release

* Mon Jun 13 2005 Frederic Lepied <flepied@mandriva.com> 1.1.2-6mdk
- rebuild

* Wed Oct 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-5mdk
- corrected update-reader-conf to avoid a warning when no config is present
- libification

* Fri Sep 12 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-4mdk
- Changed the default file to an empty file (No reader at installation)

* Thu Sep 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-3mdk
- move tree under %_libdir
- corrected restart and condrestart in startup script
- added /etc/reader.conf.d and update-reader-conf script
- use rpm macros for services

* Wed Sep 10 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-2mdk
- First release for the smart card linux consortium see www.safesign.com info@aeteurope.nl

* Wed Apr 23 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-1mdk
- initial aet package

